/**
 * Core component style object that contains style objects
 * for all the styles for inner elements.
 */
const coreStyles = {
    container: {
    },

    serverContainer: {
        display: 'flex',
        flexDirection: 'column',
        marginTop: '1rem',
    },

    useServerContainer: {
        display: 'flex',
        flexDirection: 'row',
        alignItems: 'center',
        marginTop: '1rem',
    },

    error: {
    },
};

/**
 * Combine all styles, including context styles,
 * into a single style object for
 * @param {Object} contextStyles
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        serverContainer: {
            ...coreStyles.serverContainer,
            ...contextStyles.serverContainer,
        },

        useServerContainer: {
            ...coreStyles.useServerContainer,
            ...contextStyles.useServerContainer,
        },

        error: {
            ...coreStyles.error,
            ...contextStyles.error,
        },

    };
};

export default getStyles;
