// Core component styles
const coreStyles = {
    container: {
        display: 'flex',
        position: 'relative',
    },

    menu: {
        maxHeight: '300px',
        overflow: 'auto',
    },

    menuOptions: {
    },

    popper: {
        position: 'absolute',
        width: '100%',
    },

    selectedItem: {
    },

    textFieldContainer: {
        width: '100%',
    },
};

/**
 * Helper method to get styles for the ComboBox
 * @param {Object} contextStyles - Custom styles for the ComboBox component
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        menu: {
            ...coreStyles.menu,
            ...contextStyles.menu,
        },

        menuOptions: {
            ...coreStyles.menuOptions,
            ...contextStyles.menuOptions,
        },

        popper: {
            ...coreStyles.popper,
            ...contextStyles.popper,
        },

        selectedItem: {
            ...coreStyles.selectedItem,
            ...contextStyles.selectedItem,
        },

        textFieldContainer: {
            ...coreStyles.textFieldContainer,
            ...contextStyles.textFieldContainer,
        },
    };
};

export default getStyles;
