// Core component styles
const coreStyles = {
    container: {
        width: '35rem',
        padding: '1.5rem',
        backgroundColor: '#fff',
    },

    titleContainer: {
    },

    titleText: {
        fontSize: '2.5rem',
    },

    instructionsContainer: {
        marginTop: '0.5rem',
    },

    instructionsText: {
    },

    primaryText: {
        color: '#fff',
    },

    secondary: {
    },

    secondaryIcon: {
        color: '#006e96',
    },

    secondaryText: {
        color: '#006e96',
    },

    text: {
        cursor: 'pointer',
        whiteSpace: 'nowrap',
    },

    buttonContainer: {
        display: 'flex',
        justifyContent: 'center',
        flexDirection: 'row',
    },
};

/**
 * Helper method to get the styles for Button component
 * @param {Object} contextStyles - Context styles for the Button Component
 */
const getStyles = (contextStyles = {}) => {
    return {
        container: {
            ...coreStyles.container,
            ...contextStyles.container,
        },

        titleContainer: {
            ...coreStyles.titleContainer,
            ...contextStyles.titleContainer,
        },

        titleText: {
            ...coreStyles.titleText,
            ...contextStyles.titleText,
        },

        instructionsContainer: {
            ...coreStyles.instructionsContainer,
            ...contextStyles.instructionsContainer,
        },

        instructionsText: {
            ...coreStyles.instructionsText,
            ...contextStyles.instructionsText,
        },

        primaryText: {
            ...coreStyles.primaryText,
            ...contextStyles.primaryText,
        },

        secondary: {
            ...coreStyles.secondary,
            ...contextStyles.secondary,
        },

        secondaryIcon: {
            ...coreStyles.secondaryIcon,
            ...contextStyles.secondaryIcon,
        },

        secondaryText: {
            ...coreStyles.secondaryText,
            ...contextStyles.secondaryText,
        },

        text: {
            ...coreStyles.text,
            ...contextStyles.text,
        },

        buttonContainer: {
            ...coreStyles.buttonContainer,
            ...contextStyles.buttonContainer,
        },
    };
};

export default getStyles;
